Mini Plasma Mobile sprint
Open, Needs TriagePublic

Description

Some people are interested in having a mini-online sprint to fix various issue in https://phabricator.kde.org/project/view/247/ and help on-boarding new contributors.

Plan is to have a online co-ordination, mostly in Plasma Mobile matrix room. For the main part of the sprint and discussing things, BigBlueButton is used

If you are interested please add a your name and rough date and time availability in UTC for next week, note that we are experimenting on online sprint for very first time.

NameTimezoneAvailability (UTC)Matrix Username
Bhushan ShahUTC+5.3006:00 to 16:00, whole week@bshah:kde.org
Dimitris KardarakosUTC+3Monday-Thursday 13.00 - 18.00, Friday-Sunday 08.00 - 14.00@dimkard:kde.org
Jonah BrüchertUTC+2when I'm awake (can adapt to sprint times, I have holidays)@jbb:matrix.org
Nicolas FellaUTC+2when I'm awake (can adapt to sprint times, I have holidays)@nicofee:matrix.org
cahfofpaiUTC+2almost the whole time@cahfofpai:tchncs.de
Tobias FellaUTC+2always, who needs sleep anyways@tobiasfella:kde.org
Marco MartinUTC+2monday-friday 09:00-18:00@notmart:matrix.org
Carl SchwanUTC+2monday-friday 11:00-18:00@carl:kde.org
Noah DavisUTC-4Any day, any time@noahdvs:kde.org
Mathis BrüchertUTC+2when I'm awake (can adapt to sprint times, I have holidays)@mbruchert:kde.org
Bart RibbersUTC+2Saturday whole day@bart:fam-ribbers.com
Linus JahnUTC+2when I'm awake (can adapt to sprint times, I have holidays)@lnj:kde.org
Johan OuwerkerkUTC+2thursday evening (after 17:00 probably) , friday-saturday (whole day)@cmacq2:kde.org
Luca WeissUTC+2Thu&Fri from 15:00, Saturday whole day@luca:z3ntu.xyz
Andrew StoehrUTC-5Most days, most times (usually awake 13:00-05:00 UTC)@stoehraj:kde.org
Manuel Jesús de la FuenteUTC+2Most days, 16:00-19:00 UTC+2 (12:00-13:30 sometimes too)@manueljlin:kde.org
Carson BlackUTC-4/ESTSunday 1600-200 UTC, Mon-Sat 1400-200 UTC@pontaoski:librem.one
Aleix PolUTC+2/CESTanytime 10-22 UTC, confined@apol:kde.org

Schedule

  • sprint will generally start at 16:00 CEST, 14:00 UTC
  • expected duration is around 3 hours each day for the general part
  • people can come in earlier and leave later, there should be somebody in the room the most time of the day

Wednesday

  • Initial testing and scheduling: 12:00 CEST, 10:00 UTC

Thursday

Second sprint day (Friday)

  1. BoFs for different parts and apps of Plasma Mobile
    • Alligator
    • Angelfish
    • Kalk
    • how to get a diversity of Plasma Mobile-native messenger apps (e.g. through a general Kirigami-like messenger framework)
    • ...
Q&A / AMA
  • Fri 18:00 CEST / 16:00 UTC
  • will be held on Reddit r/kde Q&A

Training and onboarding day : Saturday 13:00 UTC/15:00 CEST.

  • run plamo on the desktop (bshah)
  • phonesim (jonah)
  • intro to Kirigami (Nico)
  • porting Plasma Mobile apps to Android (Nico)

Topics not in the schedule yet

  • Would it make sense to switch to org.kde.desktop? It offers far better performance currently compared to the Plasma style.
  • design (e.g. discussing this task: https://phabricator.kde.org/T12717) (depends on VDG people joining)
  • training day
    • How to start writing an app

BigBlueButton

  • room for the sprint: https://bigbluebutton.kde.levellingup.co.uk/b/bhu-t7z-thd
  • the room can be joined without registration, participants with no user account have to be approved by a moderator before they can join
  • creating a user account
    • advice is to not use real email address or a password used elsewhere
    • Bhushan can share the room to your account
    • with a user account you can join the room even if there is no other person in this room

Promo

Links to promo which has been done for the sprint (no guarantee for completeness)

Browser used

Since this event also provides testbed for upcoming virtual Akademy, we can help Akademy team by collecting available version numbers/browsers used.

namebrowser usedpotential issues?
BhushanFirefox Version 74.0 (ArchLinux)none so far
bshah created this task.Apr 2 2020, 2:45 PM
dkardarakos updated the task description. (Show Details)Apr 2 2020, 2:57 PM
jbbgameich updated the task description. (Show Details)Apr 2 2020, 4:38 PM
jbbgameich updated the task description. (Show Details)
nicolasfella updated the task description. (Show Details)Apr 2 2020, 4:49 PM
nicolasfella added a subscriber: nicolasfella.

I'd like to investigate the feasibility of a audio/video chat solution to have a more "sprint-like" experience

cahfofpai updated the task description. (Show Details)Apr 2 2020, 4:54 PM

A more VR like online sprint could be done with https://hubs.mozilla.com

tfella updated the task description. (Show Details)Apr 2 2020, 5:07 PM
adam added a subscriber: adam.Apr 2 2020, 9:39 PM

Can we define week a bit more closely or have some fixed dates? I'll at home and have some free days either next week or the week after that I can shuffle around

https://meet.jit.si/ is open source, mostly decentralized and works for smallish groups

bshah updated the task description. (Show Details)Apr 3 2020, 10:40 AM
bshah added a comment.Apr 3 2020, 10:49 AM

Can we define week a bit more closely or have some fixed dates? I'll at home and have some free days either next week or the week after that I can shuffle around

@schmeisser , plan is to do this next week, and yes, jitsi is one of thing we were thinking about using.

bshah updated the task description. (Show Details)Apr 3 2020, 10:50 AM
lydia added a subscriber: lydia.Apr 3 2020, 11:48 AM
nicolasfella updated the task description. (Show Details)Apr 3 2020, 2:09 PM
bshah added a comment.Apr 3 2020, 2:45 PM

So, Based on some more discussion in the Matrix channel, we decided on doing this on Thu-Sat.

We don't have a concrete timeline of when we are doing what, but we will decide on it in upcoming days. We also plan to do very short test-run on Wednesday to see how things are working etc.

Meanwhile, feel free to signup for sprint, and add topics you want us to discuss.

bshah updated the task description. (Show Details)Apr 3 2020, 2:49 PM

I have ideas for some more talk-ish sessions (e.g. intro to Kirigami or Porting to Android). We could think about recording those for later, too

mart updated the task description. (Show Details)Apr 3 2020, 3:07 PM
ognarb updated the task description. (Show Details)Apr 3 2020, 3:40 PM
ndavis updated the task description. (Show Details)Apr 4 2020, 1:40 PM
ndavis added a subscriber: ndavis.
mbruchert updated the task description. (Show Details)Apr 4 2020, 3:49 PM
jucato added a subscriber: jucato.Apr 5 2020, 12:11 AM
PureTryOut updated the task description. (Show Details)Apr 5 2020, 1:29 PM
nicolasfella updated the task description. (Show Details)Apr 6 2020, 8:49 AM
nicolasfella updated the task description. (Show Details)Apr 6 2020, 9:35 AM
bshah updated the task description. (Show Details)Apr 6 2020, 10:24 AM
lnj updated the task description. (Show Details)Apr 6 2020, 10:26 AM
lnj added a subscriber: lnj.
bshah updated the task description. (Show Details)Apr 6 2020, 10:38 AM
ouwerkerk updated the task description. (Show Details)Apr 6 2020, 4:32 PM
ouwerkerk updated the task description. (Show Details)Apr 6 2020, 4:36 PM
z3ntu updated the task description. (Show Details)Apr 6 2020, 6:45 PM
z3ntu added a subscriber: z3ntu.
stoehraj updated the task description. (Show Details)Apr 7 2020, 3:04 AM
stoehraj updated the task description. (Show Details)
stoehraj added a subscriber: stoehraj.
PureTryOut updated the task description. (Show Details)Apr 7 2020, 7:01 AM
PureTryOut updated the task description. (Show Details)Apr 7 2020, 9:07 AM
cahfofpai updated the task description. (Show Details)Apr 7 2020, 9:04 PM
cahfofpai updated the task description. (Show Details)Apr 7 2020, 9:52 PM

Idea: solve dependency issue for maui apps on the nexus 5x image related to quick shapes to test the apps again and have deeper inetratiom

As an idea, the most common request has been to provide an up-to-date and regularly updated ISO for x86_64. As of now, that image is still from 02.2019.

bshah added a comment.Apr 8 2020, 7:57 AM

So update,

We decided to try/use the BigBlueButton instance hosted by Kenny Coyle : http://bigbluebutton.kde.levellingup.co.uk/b/bhu-t7z-thd is current room.

You can either sign-up using account, so I can share room with you (which allows you to join anytime) or sign-in using guest account which needs some of us (moderators) to allow you in.

As for actual testing, it would be nice to test it when more people are online, so I suppose roughly 12 CEST would be nicer choice [Roughly in 2 hours]. If you want to test your individual setups, I am in room anyway, feel free to join-in. As a main topic to discuss during this testing period, we want to see how we want to schedule this better for upcoming 3 days.

If this does not work/or BBB can't handle more people, we will try Jitsi, although in my experience, BBB seems more robust then Jitsi.

If you don't want to join in using the BBB or audio/video based chat, Plasma Mobile team will also be available in the #plasmamobile:kde.org matrix room. Feel free to say Hello!

bshah updated the task description. (Show Details)Apr 8 2020, 8:00 AM
bshah moved this task from Todo to Implementation on the Plasma: Mobile board.Apr 8 2020, 8:56 AM
bshah updated the task description. (Show Details)Apr 8 2020, 9:50 AM
bshah updated the task description. (Show Details)
adam updated the task description. (Show Details)Apr 8 2020, 10:35 AM
manueljlin updated the task description. (Show Details)Apr 8 2020, 11:45 AM
cblack updated the task description. (Show Details)Apr 8 2020, 1:34 PM
cblack added a subscriber: cblack.
cahfofpai updated the task description. (Show Details)Apr 8 2020, 2:56 PM
cahfofpai updated the task description. (Show Details)Apr 8 2020, 3:18 PM
cahfofpai updated the task description. (Show Details)Apr 9 2020, 9:55 AM
ndavis updated the task description. (Show Details)Apr 9 2020, 12:57 PM
apol updated the task description. (Show Details)Apr 9 2020, 1:49 PM
bshah updated the task description. (Show Details)Apr 10 2020, 10:13 AM
jucato updated the task description. (Show Details)Apr 10 2020, 10:26 AM
ndavis updated the task description. (Show Details)Apr 10 2020, 12:58 PM